DCMTK - Bug #932

Segmentation fault in OFStandard::atof()

2020-05-16 15:26 - Marco Eichelberg

Status:

Priority:

Assignee:
Category:

Target version:
Module:

Operating System:

Closed
High
Marco Eichelberg

ofstd, dcmdata

Start date: 2020-05-16
Due date:

% Done: 100%
Estimated time: 1:00 hour
Compiler:

Description

The attached XML file, when run through xml2dcm, causes a segmentation fault in OFStandard::atof()

due to an out-of-bounds access to an internal array.

Reported 2020-05-16 by Maria Nedyak <mashanedyak@gmail.com>.

History

#1 - 2020-05-18 20:06 - Marco Eichelberg

- Status changed from New

to Closed

- Assignee set to Marco Eichelberg

- % Done changed from 0 to 100

- Estimated time set to 1:00

h

Closed by commit #96f4a928c.

Files

crash-87304412349709622f633d67e4b2d0761190da4a.xml

2025-09-06

465 Bytes 2020-05-16

Marco Eichelberg
